Name:          diffutils
Version:       3.10
Release:       1mamba
Summary:       A GNU collection of diff utilities
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/diffutils/
Source:        ftp://ftp.gnu.org/pub/gnu/diffutils/diffutils-%{version}.tar.xz
# http://www.openi18n.org/
Patch0:        %{name}-2.8.7-i18n.patch
# http://www.linuxfromscratch.org/patches/downloads/diffutils/
Patch2:        %{name}-2.8.7-hardened_tmp-1.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel >= 0.14.0
#BuildRequires: help2man
Requires(post):%{__install_info}

%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.
* Diff compares two files and shows the differences, line by line.
* The cmp command shows the offset and line numbers where two files differ, or cmp can show the characters that differ between the two files.
* The diff3 command shows the differences between three files.
  Diff3 can be used when two people have made independent changes to a common original; diff3 can produce a merged file that contains both persons' changes and warnings about conflicts.
* The sdiff command can be used to merge two files interactively.

Install diffutils if you need to compare text files.

%debug_package

%prep
%setup -q
#%patch0 -p1 -b .i18n
#%patch2 -p1 -b .hardened_tmp

%build
%configure
# modify the default editor for sdiff interactive mode
sed -i 's/\(.*#define DEFAULT_EDITOR_PROGRAM \\"\)ed\\"/\1vi\\"/' configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall mkdir_p="mkdir -p"

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%install_info %{name}.info
exit 0

%preun
%uninstall_info %{name}.info
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/cmp
%{_bindir}/diff
%{_bindir}/diff3
%{_bindir}/sdiff
%{_mandir}/man1/cmp.*
%{_mandir}/man1/diff.*
%{_mandir}/man1/diff3.*
%{_mandir}/man1/sdiff.*
%{_infodir}/%{name}.info.*
%doc AUTHORS COPYING
#NEWS README THANKS

%changelog
* Sun May 21 2023 Automatic Build System <autodist@mambasoft.it> 3.10-1mamba
- automatic version update by autodist

* Mon Jan 16 2023 Automatic Build System <autodist@mambasoft.it> 3.9-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 3.8-1mamba
- automatic version update by autodist

* Tue Jan 01 2019 Automatic Build System <autodist@mambasoft.it> 3.7-1mamba
- automatic version update by autodist

* Thu Jun 01 2017 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Mon Aug 22 2016 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Tue Aug 09 2016 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Sat Sep 03 2011 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Thu Aug 11 2011 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Tue May 04 2010 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic update to 3.0 by autodist

* Thu Feb 18 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.9-1mamba
- update to 2.9

* Wed May 14 2008 Aleph0 <aleph0@openmamba.org> 2.8.7-2mamba
- specfile updated

* Thu Oct 19 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.7-1qilnx
- update to version 2.8.7 by autospec
- added tmp hardened patch from LFS project

* Mon Oct 24 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.1-4qilnx
- updated i18n patch to pass LSB test /tset/LI18NUX2K.L1/utils/diff/T.diff

* Tue Apr 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.1-3qilnx
- added missing prereq (install-info)

* Tue Apr 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.1-2qilnx
- made diffutils LSB 2.0 compliant
- specfils updates
- fixed package group
- added missing scripts for info files

* Mon Apr 7 2003 Luca Tinelli <luca.tinelli@qinet.it> 2.8.1-1qilnx
- First build

